Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.oid
Class OidInfo

    java.lang.Object
      |
      +--oracle.portal.provider.v2.oid.OidInfo

public abstract class OidInfo
extends java.lang.Object

An `OidInfo` is a class that contains all the OID connection details. This base class has getter and setter methods for the OID host, port, username and password. The getter methods are packaged scoped and so can only be called by the OidManager class. Implementers of this class need to take care to secure the information contained in this class and if the information is read from a file then the contents of that file need to be secured.

Constructor Summary
`OidInfo()`

Method Summary
`abstract void` | `init(ProviderContext pc)`
`void` | `setLDAPHost(java.lang.String host)` Set's the OID host.
`void` | `setLDAPPasswd(java.lang.String passwd)` Set's the OID password.
`void` | `setLDAPPort(java.lang.String port)` Set's the OID port.
`void` | `setLDAPUser(java.lang.String user)` Set's the OID user.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OidInfo

    public OidInfo()

Method Detail

### init

    public abstract void init(ProviderContext pc)
                       throws ProviderException

### setLDAPHost

    public void setLDAPHost(java.lang.String host)

  Set's the OID host.
  Parameters:
    `host` - the name of the host

### setLDAPPort

    public void setLDAPPort(java.lang.String port)

  Set's the OID port.
  Parameters:
    `port` - the name of the port

### setLDAPUser

    public void setLDAPUser(java.lang.String user)

  Set's the OID user.
  Parameters:
    `user` - the OID user name

### setLDAPPasswd

    public void setLDAPPasswd(java.lang.String passwd)

  Set's the OID password.
  Parameters:
    `passwd` - the name of the password

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.